package com.school.project.repository;

import com.school.project.model.Student;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;


public interface StudentRepository extends JpaRepository<Student, Long>, QuerydslPredicateExecutor<Student> {

    Student findByStudentId(Long id);

    Student findByStudentName(String name);

    Student findByRollNumber(String rollNumber);


}
