package com.school.project.service.student;

import com.querydsl.core.types.Predicate;
import com.school.project.dto.student.StudentCoursesDTO;
import com.school.project.dto.student.StudentViewDataDTO;
import com.school.project.model.Student;

public interface StudentService {

    public StudentViewDataDTO viewData(String username);

    public Long getUserId(String username);

    public StudentCoursesDTO viewCourses(Long id);

    Iterable<Student> getStudentByPredicate(Predicate predicate);
}
